version: "3.7"
services:

  amazon-backend:
    build: ./amazon-backend
    environment: 
      spring.datasource.username: root
      spring.datasource.password: root
      spring.datasource.url: jdbc:postgresql://amazon-backend-db:5432/amazon
      frontend.url: http://localhost:4200
    ports:
      - 8080:8080
    networks: 
      - amazon-backend-net
    restart: on-failure
    depends_on:
      - amazon-backend-db

  amazon-backend-db:
    image: postgres
    environment: 
      POSTGRES_USER: root
      POSTGRES_PASSWORD: root
      POSTGRES_DB: amazon
    networks:  
      - amazon-backend-net
    volumes:
      - amazon-backend-db-vol:/var/lib/postgresql/data

networks:
  amazon-backend-net:

volumes:
  amazon-backend-db-vol: